Bug 392291 - Review Request: perl-Test-MinimumVersion - Check whether your code requires a newer perl
Review Request: perl-Test-MinimumVersion - Check whether your code requires ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 392261 392271
Blocks: 392301 392311 392321 392331 392341 398451
  Show dependency treegraph
 
Reported: 2007-11-20 08:41 EST by Ralf Corsepius
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.007-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 23:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-11-20 08:41:52 EST
Spec URL: ftp://packman.links2linux.de/pub/packman/fedora/SRPMS/perl-Test-MinimumVersion.spec
SRPM URL: ftp://packman.links2linux.de/pub/packman/fedora/SRPMS/perl-Test-MinimumVersion-0.007-1.fc8.src.rpm
Description: Check whether your code requires a newer perl than you think.

This package is a new dependency being used by a number of perl-dist's testsuites.
Several of them already are part of Fedora.
Comment 1 Jason Tibbitts 2007-11-21 00:43:23 EST
* source files match upstream:
   322c87ef495575005995001f8b69e44c2b252c4318cbc35b554d7dee671d067e  
   Test-MinimumVersion-0.007.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Test::MinimumVersion) = 0.007
   perl(Test::MinimumVersion::YAMLTiny) = 1.12
   perl-Test-MinimumVersion = 0.007-1.fc9
  =
   perl >= 0:5.005
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(File::Find::Rule)
   perl(File::Find::Rule::Perl)
   perl(Perl::MinimumVersion)
   perl(Test::Builder)
   perl(strict)
   perl(vars)
   perl(version)

* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=2,  0 wallclock secs ( 0.19 cusr +  0.04 csys =  0.23 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Ralf Corsepius 2007-11-21 01:11:31 EST
New Package CVS Request
=======================
Package Name: perl-Test-Perl-MinimumVersion
Short Description: Check whether your code requires a newer perl than you think.
Owners: corsepiu
Branches: F-8 F-7
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes

Comment 3 Jason Tibbitts 2007-11-21 13:29:24 EST
CVS done.
Comment 4 Ralf Corsepius 2007-11-22 03:05:04 EST
Seems as if the cvs went wrong. I can't import the package:

# common/cvs-import.sh perl-Test-MinimumVersion-0.007-1.fc8.src.rpm
Checking out module: 'perl-Test-MinimumVersion'
Enter passphrase for key '/users/packman/.ssh/id_dsa': 
cvs server: cannot find module `perl-Test-MinimumVersion' - ignored
cvs [checkout aborted]: cannot expand modules
ERROR: "perl-Test-MinimumVersion" module does not exist in cvs.
Comment 5 Ralf Corsepius 2007-11-22 03:06:10 EST
New Package CVS Request
=======================
Package Name: perl-Test-Perl-MinimumVersion
Short Description: Check whether your code requires a newer perl than you think.
Owners: corsepiu
Branches: F-8 F-7
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes
Comment 6 Jason Tibbitts 2007-11-22 10:46:18 EST
perl-Test-Perl-MinimumVersion is definitely there; I just checked it out. 
However, in comment 4, you tried to check out perl-Test-MinimumVersion (no "-Perl").

So which is the proper name for this package?  You've made the CVS request for
perl-Test-Perl-MinimumVersion twice.
Comment 7 Ralf Corsepius 2007-11-22 10:59:57 EST
(In reply to comment #6)
> So which is the proper name for this package?  You've made the CVS request for
> perl-Test-Perl-MinimumVersion twice.

perl-Test-MinimumVersion would have been correct.

Cut'n'pasto stem from Fedora's infrastructure's lack of usability :(
Comment 8 Ralf Corsepius 2007-11-22 11:00:21 EST
New Package CVS Request
=======================
Package Name: perl-Test-MinimumVersion
Short Description: Check whether your code requires a newer perl than you think.
Owners: corsepiu
Branches: F-8 F-7
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-11-22 14:53:54 EST
cvs done.
Comment 10 Ralf Corsepius 2007-11-28 23:08:41 EST
Packages pushed for FC-7, FC-8 and rawhide

Note You need to log in before you can comment on or make changes to this bug.